Bug 312999

Summary: many pictures not shown in preview and slideshow, program crashes
Product: digikam Reporter: boogiedownde
Component: Preview-ImageAssignee: Digikam Developers <digikam-bugs-null>
Status: RESOLVED FIXED    
Severity: major CC: anantapalani, caulier.gilles, johjeff
Priority: NOR    
Version: 3.0.0   
Target Milestone: ---   
Platform: Microsoft Windows   
OS: Microsoft Windows   
Latest Commit: Version Fixed In: 3.0.0

Description boogiedownde 2013-01-10 08:38:41 UTC
pictures that are shown as thumbnails fail to be loaded in preview and slideshow (says "failed to load image"). The pictures are jpegs, of the same size and shot with the same camera as the other ones which are shown perfectly correct. For some of them, digikam shows a strange zoom-number in the size-dropdown down on the right  (something like "-8574683647464%"), but not for all. Changing the zoom-factor doesn't help. Program often crashes when trying to show a slideshow. 

Reproducible: Always

Steps to Reproduce:
1. Click on a picture to open it in preview
2. For some it works, for others (maybe about every third one??), program fails to load, although thumbnail was there
3. Not sure what exactly I have to do to crash the program, I think mostly it's the slideshow
Actual Results:  
Many of the pictures are not shown, mostly jpegs (not sure if this also goes for other formats).

Expected Results:  
See what I saw in the thumbnails, but larger.

Win XP, digikam 3.0.0. RC, large library (>20.000 pictures, mostly jpeg, some large tiffs, some cr2.
Comment 1 caulier.gilles 2013-01-10 09:19:56 UTC
Without any debug trace taken from M$ Visual C++, we cannot investigate about this problem...

Gilles Caulier
Comment 2 Ananta Palani 2013-01-10 10:55:13 UTC
(In reply to comment #0)
> 
> Win XP, digikam 3.0.0. RC, large library (>20.000 pictures, mostly jpeg,
> some large tiffs, some cr2.

Could you temporarily stash your image database and create a new one with only 20 or so pictures, and only JPEGs and see if the problem persists? If it does not, can you add a few large tiffs and see if the problems come back? Thank you!
Comment 3 boogiedownde 2013-01-10 20:50:04 UTC
(In reply to comment #2)
> Could you temporarily stash your image database and create a new one with
> only 20 or so pictures, and only JPEGs and see if the problem persists? If
> it does not, can you add a few large tiffs and see if the problems come
> back? Thank you!

Tried it: Created a new database, added 22 JPEGs only, everything worked fine - I had to choose "rebuild thumbnails" though, but afterwards everything worked.
Adding 37 large tiffs (about 13 Mpx/50MB each) also worked, but it took about 15 minutes to build the thumbnails, and afterwards even the JPGS-preview was much slower.
Then added more and more tiffs and jpegs, everything worked up until appr. 1300 pictures, among them hundreds of tiffs. This encouraged me to try to add the whole collection again, but now the programme crashes at about 85%, crashed three times already without finishing. Maybe the amount of data ist too much? Didn't think it's that unusual... Btw. the pictures are on a usb-harddisc, the database is on a local drive. And I can't send an automated crash report.
Comment 4 boogiedownde 2013-01-10 20:51:04 UTC
(In reply to comment #1)
> Without any debug trace taken from M$ Visual C++, we cannot investigate
> about this problem...
> 
> Gilles Caulier

What do you mean? Can I do anything about it?
Comment 5 caulier.gilles 2013-01-11 08:22:55 UTC
>> Without any debug trace taken from M$ Visual C++, we cannot investigate
>> about this problem...
>> 
>> Gilles Caulier

>What do you mean? Can I do anything about it?

Typically, when digiKam crash, KDE Handler dialog must appear. There is a tab dedicated to get a backtrace. Take it an report content here.

Note  : i just reproduce a crash under windows about another problem and get the backtrace through KDE Handler...

Gilles Caulier
Comment 6 boogiedownde 2013-01-11 11:43:38 UTC
(In reply to comment #5)
> >> Without any debug trace taken from M$ Visual C++, we cannot investigate
> >> about this problem...
> >> 
> >> Gilles Caulier
> 
> >What do you mean? Can I do anything about it?
> 
> Typically, when digiKam crash, KDE Handler dialog must appear. There is a
> tab dedicated to get a backtrace. Take it an report content here.
> 
> Note  : i just reproduce a crash under windows about another problem and get
> the backtrace through KDE Handler...
> 
> Gilles Caulier

Here it is, it crashed while scanning the library at startup:

Application: digiKam (digikam.exe), signal: Unknown


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!I_RpcBCacheFree() [[unknown] @ -1] at 0x77e56caf
[unknown]!I_RpcBCacheFree() [[unknown] @ -1] at 0x77e56ad1
[unknown]!I_RpcBCacheFree() [[unknown] @ -1] at 0x77e56c97
[unknown]!GetModuleFileNameA() [[unknown] @ -1] at 0x7c80b729


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!GetModuleFileNameA() [[unknown] @ -1] at 0x7c80b729


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!GetModuleFileNameA() [[unknown] @ -1] at 0x7c80b729


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!I_RpcBCacheFree() [[unknown] @ -1] at 0x77e56caf
[unknown]!I_RpcBCacheFree() [[unknown] @ -1] at 0x77e56ad1
[unknown]!I_RpcBCacheFree() [[unknown] @ -1] at 0x77e56c97
[unknown]!GetModuleFileNameA() [[unknown] @ -1] at 0x7c80b729


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!I_RpcBCacheFree() [[unknown] @ -1] at 0x77e56caf
[unknown]!I_RpcBCacheFree() [[unknown] @ -1] at 0x77e56ad1
[unknown]!I_RpcBCacheFree() [[unknown] @ -1] at 0x77e56c97
[unknown]!GetModuleFileNameA() [[unknown] @ -1] at 0x7c80b729


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!GetLastInputInfo() [[unknown] @ -1] at 0x7e3695f9
[unknown]!QEventDispatcherWin32::processEvents() [[unknown] @ -1] at 0x67135036
[unknown]!qt_getRegisteredWndClass() [[unknown] @ -1] at 0x6507a0cf
[unknown]!QCoreApplication::exec() [[unknown] @ -1] at 0x6710e6bc
[unknown]![unknown]() [[unknown] @ -1] at 0x5b6194
[unknown]![unknown]() [[unknown] @ -1] at 0x5c33e900


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!RaiseException() [[unknown] @ -1] at 0x7c812fd3
[unknown]!CxxThrowException() [[unknown] @ -1] at 0x78ac872d
[unknown]!qBadAlloc() [[unknown] @ -1] at 0x6701a183


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!vlc_timer_create() [[unknown] @ -1] at 0x6a5d82ae


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForSingleObject() [[unknown] @ -1] at 0x7c802542
[unknown]!QWaitCondition::wait() [[unknown] @ -1] at 0x6702855b
[unknown]!QListData::shared_null() [[unknown] @ -1] at 0x6727c7a0
[unknown]![unknown]() [[unknown] @ -1] at 0x7203598


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec


[unknown]!KiFastSystemCallRet() [[unknown] @ -1] at 0x7c91e514
[unknown]!WaitForMultipleObjects() [[unknown] @ -1] at 0x7c80a115
[unknown]!QString::contains() [[unknown] @ -1] at 0x670f28a3
[unknown]![unknown]() [[unknown] @ -1] at 0xffffffffff006aec
Comment 7 boogiedownde 2013-01-12 15:32:13 UTC
(In reply to comment #2)
> (In reply to comment #0)
> > 
> > Win XP, digikam 3.0.0. RC, large library (>20.000 pictures, mostly jpeg,
> > some large tiffs, some cr2.
> 
> Could you temporarily stash your image database and create a new one with
> only 20 or so pictures, and only JPEGs and see if the problem persists? If
> it does not, can you add a few large tiffs and see if the problems come
> back? Thank you!

I now removed all tiffs, kept the jpegs and cr2 files (around 17.000), and still some pictures fail to load in preview. Sometimes even the thumbnails are missing. Also, the program keeps crashing every time I use it after about five minutes, after watching some photos. I'm grateful for any feedback, is it worth waiting for version 3.0 final or should I simply give up?
Comment 8 Ananta Palani 2013-01-12 21:37:06 UTC
(In reply to comment #7)
> I now removed all tiffs, kept the jpegs and cr2 files (around 17.000), and
> still some pictures fail to load in preview. Sometimes even the thumbnails
> are missing. Also, the program keeps crashing every time I use it after
> about five minutes, after watching some photos. I'm grateful for any
> feedback, is it worth waiting for version 3.0 final or should I simply give
> up?

I'm not sure yet whether the issue lies with digikam or the underlying KDE library. I'm going to try to switch from KDE 4.8.5 to KDE 4.9.5 and see if the problem is eliminated. Did you happen to notice how much memory digikam was using at the time of the crash and whether your system was getting low in general?
Comment 9 boogiedownde 2013-01-13 11:16:45 UTC
> I'm not sure yet whether the issue lies with digikam or the underlying KDE
> library. I'm going to try to switch from KDE 4.8.5 to KDE 4.9.5 and see if
> the problem is eliminated. Did you happen to notice how much memory digikam
> was using at the time of the crash and whether your system was getting low
> in general?

Just crashed it again, digikam was using about 265.000k. No thumbnails visible, crashed after I started the maintenance tool. This time the system was not getting slow in general. After the crash digikam still shows up in the task manager, as well as four times kioslave.exe.
A few days ago digikam has however extremely slowed down my system after a crash and a restart, it didn't respond for at least 25 minutes.
Comment 10 Ananta Palani 2013-02-03 22:05:01 UTC
Git commit 57b269e2d6dfd8f0c11d482ec12d3e9c126c1cd1 by Ananta Palani.
Committed on 03/02/2013 at 23:04.
Pushed by palani into branch 'master'.

Fix thumbnails not shown in Windows and excessive use of virtual memory / handles which may cause crashes and other unexpected behavior by removing file monitoring and only monitoring directories for changes. These problems might still occur with very large numbers of folders but could not be confirmed. However, medium to large collections should no longer cause a problem.
Related: bug 290962, bug 297793, bug 308310, bug 310252, bug 310865, bug 312422, bug 291917, bug 295445, bug 297686
FIXED-IN: 3.0.0

M  +9    -2    digikam/album/albumwatch.cpp

http://commits.kde.org/digikam/57b269e2d6dfd8f0c11d482ec12d3e9c126c1cd1
Comment 11 Ananta Palani 2013-02-03 22:16:31 UTC
I have made a beta compilation of digiKam 3.0.0 for you to test whether the commit I just made fixes your problem:

   https://docs.google.com/file/d/0B4Esh3gAgC9QcW5nS04zQWVsNGs/edit?usp=sharing

Can you give it a try and let me know how it works for you?
Comment 12 boogiedownde 2013-02-05 15:46:42 UTC
It worked perfectly well with jpegs and CR2-files only. 
However, I added a few hundred large TIFFs, and so far digiKam did not finish re-scanning the library. Program (and the computer) crashed twice while scanning. I'll give it a third try when I have more time, maybe in the evening, because other programs were also running while digikam crashed.
Comment 13 Ananta Palani 2013-02-05 22:45:46 UTC
(In reply to comment #12)
> It worked perfectly well with jpegs and CR2-files only. 
> However, I added a few hundred large TIFFs, and so far digiKam did not
> finish re-scanning the library. Program (and the computer) crashed twice
> while scanning. I'll give it a third try when I have more time, maybe in the
> evening, because other programs were also running while digikam crashed.

Sorry for the added trouble. I think this may be a separate issue to the original one stated in the bug report. Could you create a new bug report describing how many TIFFs, typical size of each, and maybe the largest size? How many folders contain all of these TIFF files? Would it be possible to have you upload some of these TIFFs (probably some of the larger ones) or share them on a DVD-R? In cases like this it is difficult to reproduce without real data to test with.
Comment 14 caulier.gilles 2013-02-06 12:50:33 UTC
Note : large tiff files can be shared through Google Drive... We have until 5Gb for free...

Gilles Caulier